import request from '@/utils/request'
// getFaBannerList
export function getFaBannerList(data) {
  return request({
    url: '/Public/getFaBannerList',
    method: 'post',
    data
  })
}
// getIframeUrl
export function getIframeUrl(random) {
  return request({
    login: 1,
    url: '/info/v2/uri?' + random,
    method: 'get',
  })
}
// getFaNoticeList
export function getFaNoticeList(data) {
  return request({
    url: '/Public/getFaNoticeList',
    method: 'post',
    data
  })
}

// getAPKList
export function getAPKList(data) {
  return request({
    url: '/Public/getAPKList',
    method: 'post',
    data
  })
}

// getSystemDatetime
export function getSystemDatetime(data) {
  return request({
    url: '/Public/getSystemDatetime',
    method: 'post',
    data
  })
}

// getFaBannerList
export function ApkDownLoad(data) {
  return request({
    url: '/Public/ApkDownLoad',
    method: 'post',
    data
  })
}

export function getFaSupportByID(data) {
  return request({
    url: '/Public/getFaSupportByID',
    method: 'post',
    data
  })
}

export function getCountryList(data) {
  return request({
    url: '/Public/getCountryList',
    method: 'post',
    data
  })
}

export function getParams(data) {
  return request({
    url: '/Public/getParams',
    method: 'post',
    data
  })
}

export function getApiParams(data) {
  return request({
    baseURL: 'https://api.jdnxtrade.com/',
    url: '/Public/getParams',
    method: 'post',
    data
  })
}